use crate::database::DB_METADATA_ID;
use crate::model::JdbModel;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone, Hash, Eq, PartialEq)]
pub struct DBMetadata {
    pub id: Option<u64>,
    pub version: u64,
}

impl JdbModel for DBMetadata {
    fn id(&self) -> Option<u64> {
        Some(DB_METADATA_ID)
    }

    fn set_id(&mut self, _id: u64) {
        self.id = Some(DB_METADATA_ID)
    }

    fn tree() -> String {
        "DBMetadata".to_string()
    }
}
